
from apscheduler.schedulers.background import BackgroundScheduler
import random
import time

def random_task():
    # Randomly select a number between 1 and 10
    number = random.randint(1, 10)
    
    # If the number is even, print a message with the number
    if number % 2 == 0:
        print(f"Number {number} is even.")
    else:
        print(f"Number {number} is odd.")

def run_scheduler():
    # Create a BackgroundScheduler object
    scheduler = BackgroundScheduler()
    
    # Add the random_task function to the scheduler to run every 5 seconds
    scheduler.add_job(random_task, 'interval', seconds=5)
    
    # Start the scheduler
    scheduler.start()
    
    # Keep the script running
    try:
        # To keep the main thread alive
        while True:
            time.sleep(2)
    except (KeyboardInterrupt, SystemExit):
        # Stop the scheduler when the script is stopped
        scheduler.shutdown()




